MANCONV(1)

NAZWA
manconv - konwertuje kodowania znaków stron podręcznika ekranowego

SKŁADNIA
manconv -f [from-code[:from-code...]] -t to-code [-dqhV] [filename]

OPIS
manconv przekształca kodowanie znaków strony podręcznika ekranowego na inne, podobnie jak iconv. W przeciwieństwie do programu iconv, próbuje dopasować kodowanie pliku wejściowego z listy podanych kodowań. Jest to użyteczne w przypadku stron podręcznika zainstalowanych w katalogach nie mających wprost podanego kodowania znaków, gdyż mogą być one zapisane albo w UTF-8, albo w starszym kodowaniu 8-bitowym.

Jeżeli pierwsza linia strony podręcznika zawiera deklarację kodowania znaków, to nadpisuje kodowania podane w linii poleceń manconv. Deklaracje kodowania mają następującą postać:

    '\" -*- coding: UTF-8 -*-

lub (jeśli zadeklarowano również preprocesory stron podręcznika):

    '\" t -*- coding: ISO-8859-1 -*-

OPCJE

-f kodowania_znaków, --from-code kodowania_znaków
    Try each of encodings (a colon-separated list) in sequence as the input encoding. The default is to guess likely input encodings based on the file name.

-t kodowanie_znaków, --to-code kodowanie_znaków
    Konwertuje stronę podręcznika ekranowego do podanego kodowania_znaków.

-q, --quiet
    Nie wyświetla komunikatów o błędach, gdy strona nie może być skonwertowana.

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-h, --help
    Wyświetla komunikat pomocy i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ZOBACZ TAKŻE
iconv(1), man(1), man-recode(1)

AUTOR
Colin Watson (cjwatson@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.